package su.xserver.iikocon.config;

import io.vertx.core.json.JsonObject;

public class RedisConfig {
  public String host;
  public int port;
  public String password;
  public int maxPoolSize;
  public int maxWaitingHandlers;

  public JsonObject json() {
    return new JsonObject()
      .put("redis", new JsonObject()
        .put("host", host)
        .put("port", port)
        .put("password", password)
        .put("maxPoolSize", maxPoolSize)
        .put("maxWaitingHandlers", maxWaitingHandlers)
      );
  }
}
